package com.ruoyi.tc.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ruoyi.tc.entity.UnitOtherConcat;
import com.ruoyi.tc.mapper.UnitOtherConcatMapper;
import com.ruoyi.tc.service.UnitOtherConcatService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 单位其他联系人(unit_other_contact)业务处理层
 * @author du
 * @since 2024/11/13 14:58
 */
@Service
public class UnitOtherConcatServiceImpl  extends ServiceImpl<UnitOtherConcatMapper, UnitOtherConcat> implements UnitOtherConcatService {

    /**
     * 根据assetId逻辑删除
     */
    @Override
    public void deleteByAssetIds(Long id) {
        baseMapper.deleteByAssetIds(id);
    }
    /**
     * 根据unitId逻辑删除
     */
    @Override
    public void deleteByUnitIds(Long  id) {
        baseMapper.deleteByUnitIds(id);
    }

    @Override
    public void deleteIdList(List<Long> UnitOtherConcatidList) {
        baseMapper.deleteIdList(UnitOtherConcatidList);
    }
}
